Subject: Re: [mpls] [OSPF] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 16 Nov 2016 11:22:01 +0000

Hi Stephane, Tiger, Bruno,

This is the way I interpret the capabilities.

     - The Entropy Label (EL) Non-OSPF Functional Capability indicates whether or not the advertising OSPF router can load balance based on MPLS Entropy Labels (i.e., an >Entropy Label Indicator, Entropy Label>).
    - The Readable Label Depth Capability (RLDC) indicates the maximum label depth (i.e., number of labels including the top of the label stack) the advertising OSPF router can examine in a received packet with an MPLS header. It is a generic capability and not restricted to Entropy Label processing. To process an entropy label, the <ELI, EL> tuple must be included in the the RLD for the receiving router.
    - Whether or not an advertising OSPF Router can insert the <ELI, EL>  tuple into a received packet is not currently specified.  Segment routing will be the first application of RLDC as described above.

Thanks,
Acee

From: mpls <[email-masked]<mailto:[email-masked]>> on behalf of Stephane Litkowski <[email-masked]<mailto:[email-masked]>>
Date: Monday, November 14, 2016 at 3:27 PM
To: Xiaohu Xu <[email-masked]<mailto:[email-masked]>>, Bruno Decraene <[email-masked]<mailto:[email-masked]>>
Cc: OSPF WG List <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [mpls] [OSPF] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

I think Bruno’s point is to tell that if a router advertises that it can read up to x labels, it does not mean that it will take into account all labels between position 1 and x when doing loadbalancing. This is implementation dependent. And even RFC6790 tells that looking for ELI is optional by using a “MAY”.
In addition, loadbalancing hash keys may be tuned on a node and not reflected in RLDC. A user may prefer to ask router to look at payload rather than hashing one or more MPLS labels.

Regards,

Stephane

From: OSPF [mailto:[email-masked]] On Behalf Of Xuxiaohu
Sent: Monday, November 14, 2016 21:16
To: DECRAENE Bruno IMT/OLN
Cc: OSPF WG List; [email-masked]<mailto:[email-masked]>
Subject: [OSPF] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

by the way, the RLD is just used to advertise how many labels can be read to the maximum extent. It's not used to indicate whether or not the EL-based LB capability is supported. In the EL-based LB approach, it doesn't require all LSRs along a given LSP to recoginize the ELI. In a word, the ingress of a given LSP tries to insert ELI/EL within the RLD of all LSRs along the LSP. If all LSRs are capable of performing EL-based BL, that's great. If some or even all LSRs are not capable of performing EL-based BL, that's fine.

Best regards,

Xiaohu

________________________________
发件人: mpls [[email-masked]<mailto:[email-masked]>] 代表 Xuxiaohu [[email-masked]<mailto:[email-masked]>]
发送时间: 2016年11月14日 20:00
收件人:[email-masked]<mailto:[email-masked]>
抄送: OSPF WG List; [email-masked]<mailto:[email-masked]>
主题: [mpls] 答复: [OSPF] ??: WG Last Call for "Signalling ELC using OSPF"

Hi Bruno,

Could you please explain why the defination of the RLDC should be specific to the LB behavior of the transit LSR?

If I understand correctly, it seems that the text proposed by you conflict with Acee's take (see blow):

"   1. The standards track IGP drafts should have a precise definition of RLD and so not require a normative reference to the MPLS entropy draft (which is informational). The IGP drafts need not precisely specify how the information is used - this can be specified via a reference to the MPLS draft.
   2. The MPLS draft should precisely specify the initial use case of entropy label insertion at the ingress of the LSP. It should not limit the applicability of RLDC to this use case. "

Best regards,
Xiaohu

________________________________
发件人:[email-masked]<mailto:[email-masked]> [[email-masked]<mailto:[email-masked]>]
发送时间: 2016年11月14日 19:05
收件人: DECRAENE Bruno IMT/OLN; Xuxiaohu
抄送: OSPF WG List; Carlos Pignataro (cpignata); [email-masked]<mailto:[email-masked]>
主题: RE: [OSPF] ??: WG Last Call for "Signalling ELC using OSPF"
I meant:
My concern is that the current definition of the RLDC “the maximum label stack depth that the originating router can read” is not that specific to the load balancing behavior of the transit LSR.

Sorry for the spam

From: OSPF [mailto:[email-masked]] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Monday, November 14, 2016 11:51 AM
To: Xuxiaohu
Cc: OSPF WG List; Carlos Pignataro (cpignata); [email-masked]<mailto:[email-masked]>
Subject: Re: [OSPF] ??: WG Last Call for "Signalling ELC using OSPF"

Hi Xiaohu,

Thanks for the proposed text.
My understanding is that the RLDC is intended to give information to the ingress node, to help him insert an ELI, EL pair at a given depth (or not)  in order to improve the load-balancing on a transit LSR.

My concern is that the current definition of the RLDC “the maximum label stack depth that the originating router can read” is not that specific to the load balancing capability of the transit LSR.
cf the below example of a load balancing algo on one real world plateform
Label <=3: 2-tuple <source IP(rightmost 30bit), destination IP (rightmost 30bit)>
Label = 4: bottom-of-stack label (rightmost 20bit)
Label>=5: Fifth(rightmost 20bit) label from the top

In this case, even if the LSR can read 5 labels, advertising a RDLC of 5 gives a wrong or incomplete information to the ingress as it could understand that
- it could insert the EL anywhere in the 5 first labels;  which is wrong as the EL would only provide a value if placed at the bottom of the stack
- inserting an EL in the first 5 labels would improve load-balancing; which, is wrong as inserting an (additional EL) could make the IP header not readable anymore hence even degrade the load balancing.

As already expressed, modeling the load-balancing behavior of a MPLS LSR would require more than the advertisement of a single value. However, to keep the change minimal, I would propose the following change
OLD: A new TLV within the body of the OSPF RI LSA, called RLDC TLV is defined to advertise the capability of the router to read the maximum label stack depth....
NEW: This document defines a new TLV, called RLDC TLV, within the body of the OSPF RI LSA. RLDC value advertised is the label stack depth that the LSR will use to load-balance a MPLS packet. If an ELI, EL pair is within the RLDC, and the LSR is capable of recognizing the ELI, the LSR MUST use the entropy of the EL to load-balance the packet.  If an ELI, EL pair is within the RLDC, and the LSR is not capable of recognizing the ELI, the LSR MUST either use the entropy of the whole stack of RLDC labels (hence including the EL label) or load-balance based on the below non-MPLS header (e.g. the IP header).

I’m open to any different text or a different property, but the point is to advertise a _load_balancing_ property of the LSR.

In the above example, with this new definition, the plateform would advertise a RLDC of 0, even though it can read 5 labels.

Thanks
Bruno

From: Xuxiaohu [mailto:[email-masked]]
Sent: Sunday, November 13, 2016 1:48 PM
To: Acee Lindem (acee); DECRAENE Bruno IMT/OLN
Cc: OSPF WG List; [email-masked]<mailto:[email-masked]>; Carlos Pignataro (cpignata)
Subject: ??: [OSPF] ??: WG Last Call for "Signalling ELC using OSPF"

Hi all,

How about making the following two changes:

OLD:

"A new TLV within the body of the OSPF RI LSA, called RLDC TLV is defined to advertise the capability of the router to read the maximum label stack depth....If a router has multiple linecards with different capabilities of reading the maximum label stack deepth, the router MUST advertise the smallest one in the RLDC TLV..."

NEW:

"A new TLV within the body of the OSPF RI LSA, called RLD TLV is defined to advertise the maximum label stack depth that the originating router can read (i.e., how many labels can the router read from the label stack of a given received MPLS packet to the maximum extent). How to use this RLD information is outside the scope of this draft... If a router has multiple line cards and the maximum label stack depths they can read are different, the originating router MUST advertise the smallest one in the RLD TLV..."

OLD:

"6<https://tools.ietf.org/html/draft-ietf-ospf-mpls-elc-03#section-6>.  Usage and Applicability

   The ELC is used by ingress LSRs to determine whether an EL could be
   inserted into a given LSP tunnel.  The RLDC is used by ingress LSRs
   to determine whether it's necessary to insert an EL for a given LSP
   tunnel in the case where there has already been at least one EL in
   the label stack.  This document only describes how to signal the ELC
   and RLDC using OSPF.  As for how to apply those capabilities when
   inserting EL(s) into LSP tunnel(s), it's outside the scope of this
  document and accordingly would be described in
   [I-D.ietf-mpls-spring-entropy-label<https://tools.ietf.org/html/draft-ietf-ospf-mpls-elc-03#ref-I-D.ietf-mpls-spring-entropy-label>]."

NEW:

"6<https://tools.ietf.org/html/draft-ietf-ospf-mpls-elc-03#section-6>.  Usage and Applicability

   The ELC is used by ingress LSRs to determine whether an EL could be
   inserted into a given LSP tunnel [I-D.ietf-mpls-spring-entropy-label<https://tools.ietf.org/html/draft-ietf-ospf-mpls-elc-03#ref-I-D.ietf-mpls-spring-entropy-label>].

   The RLD could be used by ingress LSRs
   to determine whether it's necessary to insert an EL for a given LSP
   tunnel in the case where there has already been at least one EL in
   the label stack [I-D.ietf-mpls-spring-entropy-label<https://tools.ietf.org/html/draft-ietf-ospf-mpls-elc-03#ref-I-D.ietf-mpls-spring-entropy-label>]."   This document

   only describes how to signal the ELC and RLD using OSPF.  How to apply

   them is outside the scope of this document."

Best regards,

Xiaohu

________________________________
发件人: Acee Lindem (acee) [[email-masked]<mailto:[email-masked]>]
发送时间: 2016年11月13日 6:08
收件人: Xuxiaohu; [email-masked]<mailto:[email-masked]>
抄送: OSPF WG List; [email-masked]<mailto:[email-masked]>; Carlos Pignataro (cpignata)
主题: Re: [OSPF] 答复: WG Last Call for "Signalling ELC using OSPF"
Hi Tiger, other authors,
So, this is my take on the draft information content based on the comments from Carlos and Bruno.

   1. The standards track IGP drafts should have a precise definition of RLD and so not require a normative reference to the MPLS entropy draft (which is informational). The IGP drafts need not precisely specify how the information is used - this can be specified via a reference to the MPLS draft.
   2. The MPLS draft should precisely specify the initial use case of entropy label insertion at the ingress of the LSP. It should not limit the applicability of RLDC to this use case.

Thanks,
Acee

From: OSPF <[email-masked]<mailto:[email-masked]>> on behalf of Xiaohu Xu <[email-masked]<mailto:[email-masked]>>
Date: Friday, November 11, 2016 at 5:10 AM
To: Bruno Decraene <[email-masked]<mailto:[email-masked]>>
Cc: OSPF WG List <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Carlos Pignataro (cpignata)" <[email-masked]<mailto:[email-masked]>>
Subject: [OSPF] 答复: WG Last Call for "Signalling ELC using OSPF"

Hi Bruno,

发件人:[email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
发送时间: 2016年11月10日 21:31
收件人: Xuxiaohu
抄送: OSPF WG List; Carlos Pignataro (cpignata); [email-masked]<mailto:[email-masked]>
主题: RE: [OSPF] WG Last Call for "Signalling ELC using OSPF"

Hi Xuxiaohu,

The RLDC specification(s) needs to be clear enough such that:
- transit LSR knows what to advertise

[Xiaohu] LSRs advertise how many labels they could read from the top of the label stack. LSRs can advertise this information no matter whether or not they support EL-based LB.

- ingress LSR knows how to use it in order to achieve/optimize load balancing across the MPLS network.

[Xiaohu] This draft only describes how to advertise the RLDC via IGP. As for how to use this information by ingress LSRs when inserting EL pairs, it’s discussed in Section 4 of draft-ietf-mpls-spring-entropy-label-04.

Best regards,
Xiaohu

So let’s start with the first question: which RLDC value should be advertised by such transit LSR? (cf below) And please quote the text from the RDLC spec which supports the answer.

> From: Xuxiaohu [mailto:[email-masked]]
> However, it seems that it has nothing to do with the EL-based MPLS load-balancing mechanism.

AFAIK, EL is defined in RFC6790, which defines a new behavior on the egress and ingress. It does not standardize the load-balancing behavior on transit nodes which are mostly free to do any load-balancing behavior. So it looks like hard to define an IGP TLV to advertise this non-standardized behavior, which is largely independent of the EL specification. IOW to re-use your terms, there is no such EL-based MPLS load-balancing specification for transit LSR.
https://tools.ietf.org/html/rfc6790#section-4.3
Now, we (MPLS WG) can try to model the load-balancing behavior of MPLS LSR, so that we (IGP WG) can latter advertise the parameters of this model in the IGP. But from what I can see in existing product, the current RLDC seems insufficient to model the behavior of existing MPLS LSR.
The current RLDC advertisement seems to be able to model a very small subset: a transit LSR which recognizes the ELI, and load balance solely on the following label (the EL).
If so,
- this need to be clear in the RLDC specification, because currently this is not.
- this may be seen as an incremental improvement but I don’t believe that it really solves the problem, nor significantly improve it given the behavior of existing plateform.

I’d rather have a solution which is more generally applicable and provide a significant improvement. i.e. model the load-balancing behavior of most current and future MPLS LSR, and then advertise the parameters in the IGP. (including a model ID such that this can be improved in the future). I agree that this is more complex job.

Thanks,
Best regards,
Bruno

From: Xuxiaohu [mailto:[email-masked]]
Sent: Thursday, November 10, 2016 10:58 AM
To: DECRAENE Bruno IMT/OLN
Cc: OSPF WG List; Carlos Pignataro (cpignata); [email-masked]<mailto:[email-masked]>
Subject: ??: [OSPF] WG Last Call for "Signalling ELC using OSPF"

Hi Bruno,

Thanks for sharing the following information. However, it seems that it has nothing to do with the EL-based MPLS load-balancing mechanism. The ELC and RLDC as described in draft-ietf-ospf-mpls-elc are applicable to the EL-based MPLS load-balancing mechanism.

Best regards,
Xiaohu

发件人:[email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
发送时间: 2016年11月10日 16:56
收件人: Xuxiaohu
抄送: OSPF WG List; Carlos Pignataro (cpignata)
主题: RE: [OSPF] WG Last Call for "Signalling ELC using OSPF"

Hi all,

(Hopefully) For the benefit of the discussion, I’m sharing a real world MPLS (transit LSR) load balancing algo on one plateform:

Label <=3: 2-tuple <source IP(rightmost 30bit), destination IP (rightmost 30bit)>
Label = 4: bottom-of-stack label (rightmost 20bit)
Label>=5: Fifth(rightmost 20bit) label from the top

This is a more or less random pick, and in general the behaviors are very diverse depending on the plateform (router, line card, os version, MPLS encapsulated traffic).

In general, it’s not clear to me how the RLDC advertisement really helps the ingress to make an informed decision and improve the load balancing of its flow across the MPLS network, as the current advertisement seems a bit simplistic to me.
More specifically, with the current definition of the RLDC, it’s hard for me to guess which RLDC value should be advertised. So I would really expect interop issues and endless discussion about who is right.

Thanks,
Regards,
-- Bruno

From: Xuxiaohu [mailto:[email-masked]]
Sent: Thursday, November 10, 2016 5:29 AM
To: Carlos Pignataro (cpignata); DECRAENE Bruno IMT/OLN
Cc: OSPF WG List
Subject: ??: [OSPF] WG Last Call for "Signalling ELC using OSPF"

Hi Carlos,

Thanks for your comments. Please see my response inline.

发件人: OSPF [mailto:[email-masked]] 代表 Carlos Pignataro (cpignata)
发送时间: 2016年11月8日 23:20
收件人: Bruno Decraene
抄送: OSPF WG List
主题: Re: [OSPF] WG Last Call for "Signalling ELC using OSPF"

Jumping a bit mid-thread, but with somewhat similar or related comments.

Summary: I am concerned with the lack of precision in the definitions and usage on these set of documents.

Acee, if this document needs to depend on Section 4 of draft-ietf-mpls-spring-entropy-label-04.txt, then the issue is compounded. I believe draft-ietf-mpls-spring-entropy-label-04has its own set of problems (for example, placing EL/ELI independent of whether the underlying Label is for a Node SID or a Segment SID is not optimum).

So the main question is: Is draft-ietf-ospf-mpls-elc-03 to be treated independently form draft-ietf-mpls-spring-entropy-label-04? That is a fundamental question for advancing and reviewing this/these doc(s). We have the advertisement of a capability — what is it used for? Is it the right variable to advertise (based on the application using it)?

[Xiaohu] draft-ietf-ospf-mpls-elc-03 defines an approach of advertising the RLDC of an LSR via OSPF. The definition of the RLDC is described in the following text (i.e., each LSR's capability of reading the maximum label stack depth). As for how to use this capability, it’s not limited by the draft although one use case (i.e., the application as described in Section 4 of draft-ietf-mpls-spring-entropy-label-04.txt) is mentioned in this draft.

Specifically, I think that RLDC is largely underspecified. The doc says:
"
   it would be useful for ingress LSRs to know each LSR's capability of
   reading the maximum label stack deepth.  This capability, referred to
   as Readable Label Deepth Capability (RLDC)
“

That definition simple does not make sense. And it does not explain the applicability (A, b, c, d).

[Xiaohu]Could you speak more specifically? Is the definition of the RLDC (i.e., what is the capability of reading the maximum label stack depth) itself not clear enough? If so, could you please suggestion any more specific text? Or the applicability of the RLDC not clear enough? If so, we co-authors currently only think about one use case of this RLDC that is described in Section 4 of draft-ietf-mpls-spring-entropy-label-04.txt) , please feel free to tell us if you find any other use cases of this RLDC.

Then the doc continues:
“
   Readable Label Deepth Capability (RLDC) can be used by ingress
   LSRs to determine whether it's necessary to insert an EL for a given
   LSP tunnel in the case where there has already been at least one EL
   in the label stack [I-D.ietf-mpls-spring-entropy-label] .
"

So this only is useful when there’s an EL (I assume ELI/EL pair) already?

[Xiaohu] In the EL insertion use case, yes, your understand is correct.

And is “[I-D.ietf-mpls-spring-entropy-label]” normative?

[Xiaohu] Currently yes, if it’s widely believed that this reference should be informational, it can be moved to the informational reference section.

Overall, I think a WGLC is premature, since some basics are not well covered. Is it RLD or RLDC? And what exactly is a “Readable Label Deepth Capability (RLDC)” The capability to do what? Is this a Capability or a scalar?

[Xiaohu] RLDC (Readable Label Deeth Capability) means a given LSR's capability of reading the maximum label stack depth. If it’s widely believed that “RLD” is more suitable than “RLDC” from the expression perspective, it’s fine to make a change.

Another point comment — although I think this needs a thorough review before WGLC.

The doc says:
   Of course,
   even it has been determined that it's neccessary to insert an EL for
   a given LSP tunnel, if the egress LSR of that LSP tunnel has not yet
   indicated that it can process ELs for that tunnel, the ingress LSR
   MUST NOT include an entropy label for that tunnel as well.

This is good and consistent with RFC 6790:
   c.  X MUST NOT include an entropy label for a given tunnel unless the
       egress LSR Y has indicated that it can process entropy labels for
       that tunnel.

So it’s better to point to it instead of re-MUST NOT independently.

[Xiaohu] Good suggestion. Will fix it.

But, what is the egress of a tunnel in this context? Not the final egress, but the SID egress. ?

[Xiaohu] IMHO, the egress of an LSP tunnel is clear enough and easy to understand. In contrast, what’s the mean of SID egress, could you please help point to a reference for this term defincation?

Best regards,
Xiaohu

Thanks,

—
Carlos Pignataro, [email-masked]<mailto:[email-masked]>

“Sometimes I use big words that I do not fully understand, to make myself sound more photosynthesis."

On Nov 8, 2016, at 6:15 AM, [email-masked]<mailto:[email-masked]> wrote:

Hi Acee,

Thanks for your reply. Please see inline [Bruno]

From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Tuesday, November 08, 2016 2:27 AM
To: DECRAENE Bruno IMT/OLN; OSPF WG List
Subject: Re: [OSPF] WG Last Call for "Signalling ELC using OSPF"

Hi Bruno,

From: Bruno Decraene <[email-masked]<mailto:[email-masked]>>
Date: Monday, November 7, 2016 at 6:43 AM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>, OSPF WG List <[email-masked]<mailto:[email-masked]>>
Subject: RE: [OSPF] WG Last Call for "Signalling ELC using OSPF"

Hi authors, all,

Please find below some comments on the RLDC definition.

1) I’d like to see a more specific definition of RLDC.
e.g. load-balancing hashing could be done based on (hashing):
-a- a (stack of) N  “regular” MPLS labels (i.e. there is no ELI in this stack)
-b- the (IP) header below the stack of N  labels
-c- the EL label in the stack of N labels (i.e. there is one ELI in this stack)

I’d like the specification to be clear on the applicability of the RLDC. Does it apply on these 3 cases, on only a subset?
Personally, I’d like at least a and c be in scope of the RLDC definition, such that an ingress with limited push capability could have enough information to decide that it could avoid pushing an ELI,EL pair if the stack of MPLS labels that it pushes has enough entropy within the first RLDC labels.

I think that the signaling document should reference section 4 of https://www.ietf.org/id/draft-ietf-mpls-spring-entropy-label-04.txt. However, I don’t think -b- is covered there.
[Bruno] The above section 4 has indeed more details, but I’m not certain that the definition is clear enough for everyone to agree on which “a”, “b”, “c” cases are covered by the RLDC advertisement. My reading would be that “a” and “c” are covered, not “b”. Reading your email, I’d say that you have the same understanding. But it bothers me that one of the authors has a different understanding.
Alsodraft-ietf-mpls-spring-entropy-label-04.txt is an informational document, so I’m not sure how much it would qualify to be a normative definition of what draft-ietf-ospf-mpls-elc advertise.

Thanks,
Regards,
-- Bruno

2) Current text seems to limit the use of the RLDC to the insertion of a _second_ EL. Why is the RLD not applicable to the first EL?

§1.  Introduction

“This capability, referred to

   as Readable Label Deepth Capability (RLDC) can be used by ingress

   LSRs to determine whether it's necessary to insert an EL for a given

   LSP tunnel in the case where there has already been at least one EL

   in the label stack [I-D.ietf-mpls-spring-entropy-label<https://tools.ietf.org/html/draft-ietf-ospf-mpls-elc-03#ref-I-D.ietf-mpls-spring-entropy-label>]”

§6 Usage and Applicability

“The RLDC is used by ingress LSRs

   to determine whether it's necessary to insert an EL for a given LSP

   tunnel in the case where there has already been at least one EL in

   the label stack. »

I think that this is an unnecessary restriction of the RLDC usage. Indeed, an ingress with a limited capability in term of label push, could be forced to push a single EL label. It should be able to use the RLDC info in order to choose the best location for the EL, even if it pushes a single one.
But both sentences seems to restrict RLDC usage for the additional EL push, not the first one.

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

From: OSPF [mailto:[email-masked]] On Behalf Of Acee Lindem (acee)
Sent: Saturday, November 05, 2016 5:46 PM
To: OSPF WG List
Subject: [OSPF] WG Last Call for "Signalling ELC using OSPF"

This begins the WG last call for  "Signalling ELC using OSPF”, https://www.ietf.org/id/draft-ietf-ospf-mpls-elc-03.txt. Please review the document and send comments to this list prior to Nov 27th, 2016. Due to the IETF week, the last call period is going to be 3 weeks rather than usual 2 weeks.

Thanks,
Acee

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc

pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler

a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,

Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;

they should not be distributed, used or copied without authorisation.

If you have received this email in error, please notify the sender and delete this message and its attachments.

As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.

Thank you.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc

pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler

a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,

Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;

they should not be distributed, used or copied without authorisation.

If you have received this email in error, please notify the sender and delete this message and its attachments.

As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.

Thank you.
_______________________________________________
OSPF mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ospf

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc

pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler

a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,

Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;

they should not be distributed, used or copied without authorisation.

If you have received this email in error, please notify the sender and delete this message and its attachments.

As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.

Thank you.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc

pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler

a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,

Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;

they should not be distributed, used or copied without authorisation.

If you have received this email in error, please notify the sender and delete this message and its attachments.

As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.

Thank you.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc

pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler

a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,

Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;

they should not be distributed, used or copied without authorisation.

If you have received this email in error, please notify the sender and delete this message and its attachments.

As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.

Thank you.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc

pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler

a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,

Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;

they should not be distributed, used or copied without authorisation.

If you have received this email in error, please notify the sender and delete this message and its attachments.

As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.

Thank you.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Shraddha Hegde <[email-masked]>
Date: Wed, 16 Nov 2016 14:14:58 +0000

Hi Acee,Stephane,Tiger Bruno

I see a lot of good discussion on the RLDC, and the capability of router to be able to load balance.
One important point that is missing is the capability of a router to be able to remove <ELI, EL>
as appropriate.This is very important for SR since the labels keep getting popped off at intermediate nodes
and there is a possibility of top label being <ELI, EL> . If this <ELI, EL> gets exposed to a router
which does not understand these labels then it can potentially cause problems.

In my opinion, the router must also indicate it’s  capability to be able to remove the <ELI, EL>
From top of the stack if the ingress has inserted the <ELI, EL> at a position that exposes <ELI, EL> at the top of the
Stack when the packet reaches this node. It is very much possible that a router is capable of load balancing
And can read a certain label stack depth but cannot understand <ELI, EL> and is not capable of removing those labels from label stack.
Rgds
Shraddha

From: OSPF [mailto:[email-masked]] On Behalf Of Acee Lindem (acee)
Sent: Wednesday, November 16, 2016 8:22 PM
To: [email-masked]; Xuxiaohu <[email-masked]>; DECRAENE Bruno IMT/OLN <[email-masked]>
Cc: OSPF WG List <[email-masked]>; [email-masked]
Subject: Re: [OSPF] [mpls] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

—

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. »

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 16 Nov 2016 21:10:07 +0000

Hi Shraddha,

From: Shraddha Hegde <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, November 16, 2016 at 9:14 AM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>, Stephane Litkowski <[email-masked]<mailto:[email-masked]>>, Xiaohu Xu <[email-masked]<mailto:[email-masked]>>, Bruno Decraene <[email-masked]<mailto:[email-masked]>>
Cc: OSPF WG List <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [OSPF] [mpls] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

Good point. I’d thought that forwarding ASICs that are able to load-balance based on EL would also be able to remove <ELI, EL> if is it on the top of the label stack and we could include this in the EL capability. However, I would like hear from especially MPLS WG participants to verify this. In any case, this needs to be documented.

Thanks,
Acee

Rgds
Shraddha

From: OSPF [mailto:[email-masked]] On Behalf Of Acee Lindem (acee)
Sent: Wednesday, November 16, 2016 8:22 PM
To: [email-masked]<mailto:[email-masked]>; Xuxiaohu <[email-masked]<mailto:[email-masked]>>; DECRAENE Bruno IMT/OLN <[email-masked]<mailto:[email-masked]>>
Cc: OSPF WG List <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [OSPF] [mpls] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

—

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. »

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

---

From: John E Drake <[email-masked]>
Date: Wed, 16 Nov 2016 23:56:55 +0000

Hi,

If a node supports Entropy Label it can push or pop the ELI/EL pair (https://tools.ietf.org/html/rfc6790#section-4).

Yours Irrespectively,

John

From: OSPF [mailto:[email-masked]] On Behalf Of Acee Lindem (acee)
Sent: Wednesday, November 16, 2016 4:10 PM
To: Shraddha Hegde <[email-masked]>; [email-masked]; Xuxiaohu <[email-masked]>; DECRAENE Bruno IMT/OLN <[email-masked]>
Cc: OSPF WG List <[email-masked]>; [email-masked]
Subject: Re: [OSPF] [mpls] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

Hi Shraddha,

Thanks,
Acee

Rgds
Shraddha

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

—

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. »

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

---

From: Shraddha Hegde <[email-masked]>
Date: Thu, 17 Nov 2016 02:34:44 +0000

A node need to advertise

Ø  Entropy label capability

Ø  Readable Label depth capacity

These two things are independent of each other . A node that advertises its RLDC may not necessarily

Be EL capable.

So we need the flexibility in protocol to be able to advertise both above capabilities independently.

Rgds

Shraddha

From: John E Drake
Sent: Thursday, November 17, 2016 8:57 AM
To: Acee Lindem (acee) <[email-masked]>; Shraddha Hegde <[email-masked]>; [email-masked]; Xuxiaohu <[email-masked]>; DECRAENE Bruno IMT/OLN <[email-masked]>
Cc: OSPF WG List <[email-masked]>; [email-masked]
Subject: RE: [OSPF] [mpls] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

Hi,

Yours Irrespectively,

John

To: Shraddha Hegde <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Xuxiaohu <[email-masked]<mailto:[email-masked]>>; DECRAENE Bruno IMT/OLN <[email-masked]<mailto:[email-masked]>>

Hi Shraddha,

Thanks,
Acee

Rgds
Shraddha

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

—

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. »

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

---

From: John E Drake <[email-masked]>
Date: Thu, 17 Nov 2016 02:52:44 +0000

Hi,

So you do agree that EL support means both popping as well as pushing, which your initial email seemed to assume are separate capabilities?

Yours Irrespectively,

John

From: Shraddha Hegde
Sent: Wednesday, November 16, 2016 9:35 PM
To: John E Drake <[email-masked]>; Acee Lindem (acee) <[email-masked]>; [email-masked]; Xuxiaohu <[email-masked]>; DECRAENE Bruno IMT/OLN <[email-masked]>
Cc: OSPF WG List <[email-masked]>; [email-masked]
Subject: RE: [OSPF] [mpls] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

A node need to advertise

Be EL capable.

Rgds

Shraddha

From: John E Drake
Sent: Thursday, November 17, 2016 8:57 AM
To: Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>; Shraddha Hegde <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Xuxiaohu <[email-masked]<mailto:[email-masked]>>; DECRAENE Bruno IMT/OLN <[email-masked]<mailto:[email-masked]>>
Cc: OSPF WG List <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: [OSPF] [mpls] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

Hi,

Yours Irrespectively,

John

Hi Shraddha,

Thanks,
Acee

Rgds
Shraddha

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

—

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. »

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

---

From: Xuxiaohu <[email-masked]>
Date: Thu, 17 Nov 2016 04:46:09 +0000

Hi all,

The ELC is just used to indicate that the egress of a given LSP is capable of removing the ELI/EL immediately under that LSP, if I understand it correctly.

Best regards,

Xiaohu

________________________________
发件人: John E Drake [[email-masked]]
发送时间: 2016年11月17日 10:52
收件人: Shraddha Hegde; Acee Lindem (acee); [email-masked]; Xuxiaohu; DECRAENE Bruno IMT/OLN
抄送: OSPF WG List; [email-masked]
主题: RE: [OSPF] [mpls] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

Hi,

Yours Irrespectively,

John

From: Shraddha Hegde

A node need to advertise

>  Entropy label capability

>  Readable Label depth capacity

Be EL capable.

Rgds

Shraddha

From: John E Drake

Hi,

Yours Irrespectively,

John

Hi Shraddha,

Thanks,
Acee

Rgds
Shraddha

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

—

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. »

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

---

From: John E Drake <[email-masked]>
Date: Thu, 17 Nov 2016 05:00:11 +0000

It's probably a mistake to attempt to redefine    what it means to support entropy label.

Sent from my iPhone

On Nov 17, 2016, at 1:46 PM, Xuxiaohu <[email-masked]<mailto:[email-masked]>> wrote:

Hi all,

Best regards,

Xiaohu

________________________________
发件人: John E Drake [[email-masked]<mailto:[email-masked]>]
发送时间: 2016年11月17日 10:52
收件人: Shraddha Hegde; Acee Lindem (acee); [email-masked]<mailto:[email-masked]>; Xuxiaohu; DECRAENE Bruno IMT/OLN
抄送: OSPF WG List; [email-masked]<mailto:[email-masked]>
主题: RE: [OSPF] [mpls] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

Hi,

Yours Irrespectively,

John

From: Shraddha Hegde
Sent: Wednesday, November 16, 2016 9:35 PM
To: John E Drake <[email-masked]<mailto:[email-masked]>>; Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Xuxiaohu <[email-masked]<mailto:[email-masked]>>; DECRAENE Bruno IMT/OLN <[email-masked]<mailto:[email-masked]>>
Cc: OSPF WG List <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: [OSPF] [mpls] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

A node need to advertise

Be EL capable.

Rgds

Shraddha

From: John E Drake

Hi,

Yours Irrespectively,

John

Hi Shraddha,

Thanks,
Acee

Rgds
Shraddha

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

—

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. »

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 17 Nov 2016 05:18:05 +0000

Thanks John!

 I think we should use this reference and not try and come up with a more granular definition of what it means to support entropy labels.

Acee

From: John E Drake <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, November 16, 2016 at 6:56 PM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>, Shraddha Hegde <[email-masked]<mailto:[email-masked]>>, Stephane Litkowski <[email-masked]<mailto:[email-masked]>>, Xiaohu Xu <[email-masked]<mailto:[email-masked]>>, Bruno Decraene <[email-masked]<mailto:[email-masked]>>
Cc: OSPF WG List <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [OSPF] [mpls] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

Hi,

Yours Irrespectively,

John

Hi Shraddha,

Thanks,
Acee

Rgds
Shraddha

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

—

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. »

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

---

From: Jeff Tantsura <[email-masked]>
Date: Thu, 17 Nov 2016 14:28:15 +0900

+1

Regards,
Jeff

> On Nov 17, 2016, at 14:18, Acee Lindem (acee) <[email-masked]> wrote:
> 
> Thanks John!
> 
> From: John E Drake <[email-masked]>
> To: Acee Lindem <[email-masked]>, Shraddha Hegde <[email-masked]>, Stephane Litkowski <[email-masked]>, Xiaohu Xu <[email-masked]>, Bruno Decraene <[email-masked]>
> Cc: OSPF WG List <[email-masked]>, "[email-masked]" <[email-masked]>
> From: Shraddha Hegde <[email-masked]>
> To: Acee Lindem <[email-masked]>, Stephane Litkowski <[email-masked]>, Xiaohu Xu <[email-masked]>, Bruno Decraene <[email-masked]>
> Cc: OSPF WG List <[email-masked]>, "[email-masked]" <[email-masked]>
> From: mpls <[email-masked]> on behalf of Stephane Litkowski <[email-masked]>
> To: Xiaohu Xu <[email-masked]>, Bruno Decraene <[email-masked]>
> Cc: OSPF WG List <[email-masked]>, "[email-masked]" <[email-masked]>
> Cc: OSPF WG List; [email-masked]
> 发件人: mpls [[email-masked]] 代表 Xuxiaohu [[email-masked]]
> 发送时间: 2016年11月14日 20:00
> 收件人:[email-masked]
> 发件人:[email-masked] [[email-masked]]
> 发送时间: 2016年11月14日 19:05
> 抄送: OSPF WG List; Carlos Pignataro (cpignata); [email-masked]
> From: OSPF [mailto:[email-masked]] On Behalf Of [email-masked]
> Cc: OSPF WG List; Carlos Pignataro (cpignata); [email-masked]
> Cc: OSPF WG List; [email-masked]; Carlos Pignataro (cpignata)
> "6.  Usage and Applicability
> 
>    [I-D.ietf-mpls-spring-entropy-label]."
>  
> NEW:
>  
> "6.  Usage and Applicability
> 
>    inserted into a given LSP tunnel [I-D.ietf-mpls-spring-entropy-label]. 
>    the label stack [I-D.ietf-mpls-spring-entropy-label]."   This document
> 发件人: Acee Lindem (acee) [[email-masked]]
> 发送时间: 2016年11月13日 6:08
> 收件人: Xuxiaohu; [email-masked]
> 抄送: OSPF WG List; [email-masked]; Carlos Pignataro (cpignata)
> From: OSPF <[email-masked]> on behalf of Xiaohu Xu <[email-masked]>
> To: Bruno Decraene <[email-masked]>
> Cc: OSPF WG List <[email-masked]>, "[email-masked]" <[email-masked]>, "Carlos Pignataro (cpignata)" <[email-masked]>
> 发件人:[email-masked] [mailto:[email-masked]] 
> 发送时间: 2016年11月10日 21:31
> 收件人: Xuxiaohu
> 抄送: OSPF WG List; Carlos Pignataro (cpignata); [email-masked]
> Cc: OSPF WG List; Carlos Pignataro (cpignata); [email-masked]
> 发件人:[email-masked] [mailto:[email-masked]] 
> 发送时间: 2016年11月10日 16:56
> 收件人: Xuxiaohu
> Carlos Pignataro, [email-masked]
> 
> On Nov 8, 2016, at 6:15 AM, [email-masked] wrote:
>  
> Hi Acee,
>  
> From: Bruno Decraene <[email-masked]>
> To: Acee Lindem <[email-masked]>, OSPF WG List <[email-masked]>
>    in the label stack [I-D.ietf-mpls-spring-entropy-label]”
>  
> [email-masked]
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls

---

From: Xuxiaohu <[email-masked]>
Date: Thu, 17 Nov 2016 05:38:11 +0000

OK.

Best regards,

Xiaohu

________________________________
发件人: Acee Lindem (acee) [[email-masked]]
发送时间: 2016年11月17日 13:18
收件人: John E Drake; Shraddha Hegde; [email-masked]; Xuxiaohu; DECRAENE Bruno IMT/OLN
抄送: OSPF WG List; [email-masked]
主题: Re: [OSPF] [mpls] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

Thanks John!

Acee

Hi,

Yours Irrespectively,

John

Hi Shraddha,

Thanks,
Acee

Rgds
Shraddha

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

So the main question is: Is draft-ietf-ospf-mpls-elc-03 to be treated independently form draft-ietf-mpls-spring-entropy-label-04? That is a fundamental question for advancing and reviewing this/these doc(s). We have the advertisement of a capability ― what is it used for? Is it the right variable to advertise (based on the application using it)?

Then the doc continues:
“

Another point comment ― although I think this needs a thorough review before WGLC.

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

―

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. >

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

---

From: <[email-masked]>
Date: Thu, 17 Nov 2016 07:18:02 +0000

+1

But this makes me think that in the mpls entropy label draft, a router should not insert an ELI/EL at a position so the transit LSR is not ELC and will not be able to process it. I need to check if we are clear on this or not in the text.

From: Jeff Tantsura [mailto:[email-masked]]
Sent: Thursday, November 17, 2016 14:28
To: Acee Lindem (acee)
Cc: John E Drake; Shraddha Hegde; LITKOWSKI Stephane OBS/OINIS; Xuxiaohu; DECRAENE Bruno IMT/OLN; OSPF WG List; [email-masked]
Subject: Re: [mpls] [OSPF] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

+1

Regards,
Jeff

On Nov 17, 2016, at 14:18, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>> wrote:
Thanks John!

Acee

Hi,

Yours Irrespectively,

John

Hi Shraddha,

Thanks,
Acee

Rgds
Shraddha

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

—

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. »

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.
_______________________________________________
mpls mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mpls

---

From: Xuxiaohu <[email-masked]>
Date: Thu, 17 Nov 2016 07:47:17 +0000

If I understand the ELC concept as described in RFC6790 correctly, the ELC is only used to indicate that the advertising router acting as the egress of a given LSP is capable of removing the ELI/EL pair. It has nothing to do with whether or not transit routers are capable of performing EL-based LB.

Best regards,

Xiaohu

________________________________
发件人: [email-masked] [[email-masked]]
发送时间: 2016年11月17日 15:18
收件人: Jeff Tantsura; Acee Lindem (acee)
抄送: John E Drake; Shraddha Hegde; Xuxiaohu; DECRAENE Bruno IMT/OLN; OSPF WG List; [email-masked]
主题: RE: [mpls] [OSPF] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

+1

+1

Regards,
Jeff

Acee

Hi,

Yours Irrespectively,

John

Hi Shraddha,

Thanks,
Acee

Rgds
Shraddha

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

―

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. >

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

---

From: Xuxiaohu <[email-masked]>
Date: Thu, 17 Nov 2016 07:55:08 +0000

by the way, the beauty of such choice is that the path change of a given LSP due to whatever reasons (i.e., topology change) would not impact the decision of EL/ELI insertion on the ingress of that LSP.

Best regards,

Xiaohu

________________________________
发件人: OSPF [[email-masked]] 代表 Xuxiaohu [[email-masked]]
发送时间: 2016年11月17日 15:47
收件人: [email-masked]; Jeff Tantsura; Acee Lindem (acee)
抄送: [email-masked]; OSPF WG List
主题: [OSPF] 答复: [mpls] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

Best regards,

Xiaohu

+1

+1

Regards,
Jeff

Acee

Hi,

Yours Irrespectively,

John

Hi Shraddha,

Thanks,
Acee

Rgds
Shraddha

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

―

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. >

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

---

From: <[email-masked]>
Date: Thu, 17 Nov 2016 08:03:39 +0000

Right in case of LDP or RSVP because you have a single tunnel end to end but with SR, we have multiple small nested tunnels so some LSR in transit (from an end to end point of view) may be egress for one of the nested tunnel, so we need to care of ELI/EL here.

Let’s consider this small topology:
I1 – R1 – R2 –R3 - R4 - R5 – R6 – E1

All routers are ELC except R3.
If the optimal label stack that fits LSP constraint is for I1 to push {Adj_R6-E1,Node_R6,Node_R3,Node_R2} , I1 cannot insert an ELI/EL between Node_R6 and Node_R3 because R3 will not be able to process it.

After checking the draft, this point is mentioned in the example of pseudocode but not really in the text. We may need to enhance the text with a reminder even if this comes directly from RFC6790.

From: Xuxiaohu [mailto:[email-masked]]
Sent: Thursday, November 17, 2016 16:47
To: LITKOWSKI Stephane OBS/OINIS; Jeff Tantsura; Acee Lindem (acee)
Cc: John E Drake; Shraddha Hegde; DECRAENE Bruno IMT/OLN; OSPF WG List; [email-masked]
Subject: 答复: [mpls] [OSPF] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

Best regards,

Xiaohu

________________________________
发件人: [email-masked]<mailto:[email-masked]> [[email-masked]]
发送时间: 2016年11月17日 15:18
收件人: Jeff Tantsura; Acee Lindem (acee)
抄送: John E Drake; Shraddha Hegde; Xuxiaohu; DECRAENE Bruno IMT/OLN; OSPF WG List; [email-masked]<mailto:[email-masked]>
主题: RE: [mpls] [OSPF] 答复: ??: WG Last Call for "Signalling ELC using OSPF"
+1

From: Jeff Tantsura [mailto:[email-masked]]
Sent: Thursday, November 17, 2016 14:28
To: Acee Lindem (acee)
Cc: John E Drake; Shraddha Hegde; LITKOWSKI Stephane OBS/OINIS; Xuxiaohu; DECRAENE Bruno IMT/OLN; OSPF WG List; [email-masked]<mailto:[email-masked]>
Subject: Re: [mpls] [OSPF] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

+1

Regards,
Jeff

Acee

Hi,

Yours Irrespectively,

John

Hi Shraddha,

Thanks,
Acee

Rgds
Shraddha

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

—

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. »

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

---

From: Xuxiaohu <[email-masked]>
Date: Thu, 17 Nov 2016 08:17:28 +0000

Hi,

In fact, in the LDP or RSVP case, we may have stacked LSPs as well (e.g., LDP over RSVP-TE case) . In the SR case, it's just a stacked LSPs where all LSPs share the same ingress.

In the example you mentioned, I1 should not insert EL/ELI under the LSP of {I1->R1->R2->R3} (i.e., the second tier of the stacked LSP) since the egress of this LSP (i.e., R3) is not EL-capable. However, I1 could insert EL/ELI under the LSP of {I1->R1->R2->R3->R6} since the egress of this LSP (i.e., R6) is EL-capable.

Best regards,

Xiaohu

________________________________
发件人: [email-masked] [[email-masked]]
发送时间: 2016年11月17日 16:03
收件人: Xuxiaohu; Jeff Tantsura; Acee Lindem (acee)
抄送: John E Drake; Shraddha Hegde; DECRAENE Bruno IMT/OLN; OSPF WG List; [email-masked]
主题: RE: [mpls] [OSPF] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

Best regards,

Xiaohu

+1

Regards,
Jeff

Acee

Hi,

Yours Irrespectively,

John

Hi Shraddha,

Thanks,
Acee

Rgds
Shraddha

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

—

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. >

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

---

From: Jeff Tantsura <[email-masked]>
Date: Thu, 17 Nov 2016 00:20:56 -0800

There’s some confusion going on J

In MPLS Entropy labels (RFC6790) only egress pops the ELI/EL, multiple ELI/EL pairs can only be present in hierarchical tunnels.

ELC work has been done keeping in mind SR and draft-ietf-mpls-spring-entropy-label where label stack depth decreases as packet traverses the network and hence transport node would have to pop ELI/EL with popping its own SID as in no case can ELI/EL be at the top of the stack since ELI is a reserved label (PHP and explicit cases are described in 6790).

Cheers,

Jeff

From: <[email-masked]>
Date: Thursday, November 17, 2016 at 00:03
To: Xuxiaohu <[email-masked]>, Jeff Tantsura <[email-masked]>, "Acee Lindem (acee)" <[email-masked]>
Cc: John Drake <[email-masked]>, Shraddha Hegde <[email-masked]>, DECRAENE Bruno IMT/OLN <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: [mpls] [OSPF] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

Best regards,

Xiaohu

+1

 

+1

Regards,

Jeff

Thanks John!

Acee 

Hi,

Yours Irrespectively,

John

Hi Shraddha,

 

 

Thanks,

Acee 

 

Rgds

Shraddha

 

Thanks, 

Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,

Xiaohu

I meant:

Sorry for the spam

Hi Xiaohu,

 

Thanks

Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Hi Tiger, other authors, 

Thanks,

Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,

Xiaohu

If so,

Thanks,

Best regards,

Bruno

Hi Bruno,

Best regards,

Xiaohu

Hi all,

Thanks,

Regards,

-- Bruno

Hi Carlos,

"

“

Then the doc continues:

“

"

The doc says:

   Of course,

       that tunnel.

Best regards,

Xiaohu

Thanks,

—

Hi Acee,

Hi Bruno, 

Hi authors, all,

 

Thanks,

Regards,

-- Bruno

 

§1.  Introduction

I would tend to agree.

Thanks,

Acee 

 

Thanks,

Regards,

--Bruno

Thanks,

Acee

---

From: Xuxiaohu <[email-masked]>
Date: Thu, 17 Nov 2016 08:27:55 +0000

Hi Jeff,

________________________________
发件人: Jeff Tantsura [[email-masked]]
发送时间: 2016年11月17日 16:20
收件人: [email-masked]; Xuxiaohu; Acee Lindem (acee)
抄送: John E Drake; Shraddha Hegde; DECRAENE Bruno IMT/OLN; OSPF WG List; [email-masked]
主题: Re: [mpls] [OSPF] 答复: ??: WG Last Call for "Signalling ELC using OSPF"

There’s some confusion going on :)

[Xiaohu] please don't say that transport node would have to pop ELI/EI. It's the egress of the each LSP of the stacked LSP tunnel that pops ELI/EI immediately under that LSP.

Best regards,
Xiaohu

Cheers,
Jeff

Best regards,

Xiaohu

+1

Regards,
Jeff

Acee

Hi,

Yours Irrespectively,

John

Hi Shraddha,

Thanks,
Acee

Rgds
Shraddha

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

—

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. >

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

---

From: Xuxiaohu <[email-masked]>
Date: Thu, 17 Nov 2016 09:01:54 +0000

by the way, I believe that we have the same opinion although we have different interpretion of the egress of an LSP. My interpretion of it is the egress of an given level LSP in the stack. Your interpretion seems to be the egress of the tunnel composed of multiple LSPs that share the same ingress. This draft gives a clear definations of LSP egress and tunnel egress (https://tools.ietf.org/html/draft-gredler-spring-mpls-06) . In a word, SR is not that extraordinary. It's just a tunnel composed of multiple LSPs that share the same ingress.

Best regards,

Xiaohu

发送时间: 2016年11月17日 16:27
收件人: Jeff Tantsura; [email-masked]; Acee Lindem (acee)

Hi Jeff,

Best regards,
Xiaohu

Cheers,
Jeff

Best regards,

Xiaohu

+1

Regards,
Jeff

Acee

Hi,

Yours Irrespectively,

John

Hi Shraddha,

Thanks,
Acee

Rgds
Shraddha

Thanks,
Acee

Regards,

Stephane

Best regards,

Xiaohu

Hi Bruno,

Best regards,
Xiaohu

Sorry for the spam

Hi Xiaohu,

Thanks
Bruno

Hi all,

OLD:

NEW:

OLD:

NEW:

Best regards,

Xiaohu

Thanks,
Acee

Hi Bruno,

Hi Xuxiaohu,

Best regards,
Xiaohu

Thanks,
Best regards,
Bruno

Hi Bruno,

Best regards,
Xiaohu

Hi all,

Thanks,
Regards,
-- Bruno

Hi Carlos,

Then the doc continues:
“

The doc says:
   Of course,

Best regards,
Xiaohu

Thanks,

—

Hi Acee,

Hi Bruno,

Hi authors, all,

Thanks,
Regards,
-- Bruno

§1.  Introduction

   the label stack. >

I would tend to agree.

Thanks,
Acee

Thanks,
Regards,
--Bruno

Thanks,
Acee

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.

Thank you.